*{
    margin: 0;
    box-sizing: border-box;
}

.wrapper{
    margin: 450px auto;
    /*ширин всей выездной части*/
    width: 100%;
    background-color: #000;
    position: relative;
    color: white;
    text-align: left;
    height: 40px;
}

#check-menu{
    display: none;
}

label{
    display: block;
    position: absolute;
    /*нажимная часть*/
    top: 5;
    right: 0;
    /*кликабельная часть*/
    width: 3.8%;
    height: 100%;
    cursor: pointer;
    z-index: 2;
    line-height: 40px;
}

.burger-line{
    position: absolute;
    top: 8px;
    right: 10px;
    width: 35px;
    height: 2px;
    background-color: #fff;
    transition: .7s all;
}

.two, .three{
    top: 18px;
}

.four{
    top: 28px;
}

.main-menu{
    display: block;
    position: absolute;
    width: 100%;
    bottom: 266px;
    left: 0;
    transform: translateY(100%);
    max-height: 0;
    font-size: 0;
    overflow: hidden;
    transition: .25s all;
}

a{
    display: block;
    width: 100%;
    padding: 10px;
    color: white;
    text-decoration: none;
    border-top: 1px solid rgba(-255,-255,-255,.3);
    background-color: #000;
}

a:hover{
    background-color: rgba(0,0,0,.9);
}

#check-menu:checked ~ .main-menu{
  /*размер выезда вниз*/
    max-height: 500px;
    font-size: 16px;
}
/*
#check-menu:checked ~ .one{
    display: none;
}

#check-menu:checked ~ .two{
  opacity: 0;
    transform: rotate(45deg);
}

#check-menu:checked ~ .three{
  opacity: 1;
    transform: rotate(-45deg);
}

#check-menu:checked ~ .four{
    display: none;
}
*/